JP1 Remotes Forum Index JP1 Remotes


FAQFAQ SearchSearch 7 days of topics7 Days MemberlistMemberlist UsergroupsUsergroups RegisterRegister
ProfileProfile Log in to check your private messagesLog in to check your private messages Log inLog in

RemoteMaster v0.81 available!
Goto page 1, 2  Next
 
Post new topic   Reply to topic    JP1 Remotes Forum Index -> JP1 - Software
View previous topic :: View next topic  
Author Message
gfb107
Expert


Joined: 03 Aug 2003
Posts: 3404
Location: Cary, NC

PostPosted: Sat Dec 13, 2003 9:12 pm    Post subject: RemoteMaster v0.81 available! Reply with quote

I've built and released RemoteMaster v0.81

Changes for v0.81

- Added both the built-in and short versions of RC6-M-20n
- Added Replay(simple) and RC6-M24n
- Fix bugs with honoring restrictions on un-shifted keys
- Add support for Processor Versions, particularly 6805-C9 and 6805-RC16/18
- Add 6805-C9, 6805-RC16/18, and 740 upgrade code for GI 4DTV Hacked
- Give user a smaller list of remotes to choose from when importing and the remote name isn't an exact match
- Layout Panel: give preference to buttons in ButtonMap when figuring out which button user is interacting with.


Links:
RemoteMaster.v0.81.zip
Release Notes and Change Log (also included in the ZIP file)
Installation Instructions (also in the Readme.txt included in the ZIP file)
The ControlRemote project home page.
_________________
-- Greg
Original RemoteMaster developer
JP1 How-To's and Software Tools
The #1 Code Search FAQ and it's answer (PLEASE READ FIRST)


Last edited by gfb107 on Mon Jan 12, 2004 11:42 pm; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website
Pinuzz



Joined: 22 Dec 2003
Posts: 3

PostPosted: Tue Dec 23, 2003 1:00 pm    Post subject: Reply with quote

I'm using it with Kameleon, amazing and easy to use.
thanks
Back to top
View user's profile Send private message Send e-mail
e34m5



Joined: 14 Oct 2003
Posts: 675
Location: Atlanta

PostPosted: Mon Dec 29, 2003 9:02 am    Post subject: Reply with quote

I get the following error when trying to run RM

java.lang.NoSuchMethodError
at com.hifiremote.jp1.KeyMapMaster.<init>(KeyMapMaster.java:74)
at com.hifiremote.jp1.RemoteMaster.main(RemoteMaster.java:12)
Back to top
View user's profile Send private message
gfb107
Expert


Joined: 03 Aug 2003
Posts: 3404
Location: Cary, NC

PostPosted: Mon Dec 29, 2003 9:11 am    Post subject: Reply with quote

What version of Java are you using?
_________________
-- Greg
Original RemoteMaster developer
JP1 How-To's and Software Tools
The #1 Code Search FAQ and it's answer (PLEASE READ FIRST)
Back to top
View user's profile Send private message Visit poster's website
TimH



Joined: 26 Dec 2003
Posts: 60
Location: Panama City, FL, USA

PostPosted: Sun Jan 04, 2004 5:52 pm    Post subject: Reply with quote

I get that same error with java 1.3.1

here's the blurb from my setup.reg file if it helps;
@="\"C:\\Program Files\\JavaSoft\\JRE\\1.3.1\\bin\\javaw.exe\" -jar \"C:\\jp1\\RemoteMaster.v0.81\\RemoteMaster.jar\" -h \"C:\\jp1\\RemoteMaster.v0.81\" \"%1\""

I think I'm pretty stuck with that version since thats what cisco's cluster manager requires.

any suggestions?
Back to top
View user's profile Send private message
gfb107
Expert


Joined: 03 Aug 2003
Posts: 3404
Location: Cary, NC

PostPosted: Sun Jan 04, 2004 5:57 pm    Post subject: Reply with quote

Sorry, but as stated in the Readme.txt and the Installation Instructions, RM requires Java 1.4.1 or later.
_________________
-- Greg
Original RemoteMaster developer
JP1 How-To's and Software Tools
The #1 Code Search FAQ and it's answer (PLEASE READ FIRST)
Back to top
View user's profile Send private message Visit poster's website
johnsfine
Site Admin


Joined: 10 Aug 2003
Posts: 4766
Location: Bedford, MA

PostPosted: Sun Jan 04, 2004 6:16 pm    Post subject: Reply with quote

I think it is possible to install and use a copy of the JRE without any registry entries (just copy the right files somewhere). So you can leave 1.3.1 where it is and leave it as the default version of Java, but have a newer version available for use by .bat files that specify it directly (and probably also usable by the registry entry for rmdu files).
Back to top
View user's profile Send private message Send e-mail Visit poster's website
usblipitor



Joined: 10 Oct 2003
Posts: 516
Location: Greenbelt, MD

PostPosted: Sun Jan 04, 2004 6:17 pm    Post subject: Reply with quote

TimH wrote:
I think I'm pretty stuck with version 1.3.1 since thats what cisco's cluster manager requires. any suggestions?
[useless suggestions]
1. If you have microsoft excel you could run KM instead of RM.

2. How come cisco's cluster manager isnt upward compatible with version 1.4.1? Maybe call cisco and complain!

3. If you can't get KM or RM working on your machine, how about using a friend or relative's computer?
[/useless suggestions]
_________________
-Steve
Beginner's Guide
CodeSearchFAQ
JP1Files
Back to top
View user's profile Send private message
usblipitor



Joined: 10 Oct 2003
Posts: 516
Location: Greenbelt, MD

PostPosted: Sun Jan 04, 2004 6:24 pm    Post subject: Reply with quote

More useless ramblings of an old man:

According to CISCO, it seems to run with 1.3.0, 1.3.1, 1.4.0 .. since this webpage was written in June 2003, prior to version 1.4.1's release, it seems logical to assume that it also would work with 1.4.1.
Back to top
View user's profile Send private message
jamesgammel
Exile Island Resident


Joined: 03 Aug 2003
Posts: 394
Location: Gillette, Wyoming

PostPosted: Sun Jan 04, 2004 7:21 pm    Post subject: Reply with quote

usblipitor wrote:
More useless ramblings of an old man:

.................. it seems logical to assume that it also would work with 1.4.1.


Steve,

ASSUME. Hmmmm, lets analyze that.

Ass/u/me Is that where you make an ASS/ (out of) U/ (and) ME?
Wink

Jim Laughing
Back to top
View user's profile Send private message Send e-mail Yahoo Messenger
TimH



Joined: 26 Dec 2003
Posts: 60
Location: Panama City, FL, USA

PostPosted: Sun Jan 04, 2004 7:50 pm    Post subject: Reply with quote

jamesgammel wrote:
usblipitor wrote:
More useless ramblings of an old man:

.................. it seems logical to assume that it also would work with 1.4.1.


Steve,

ASSUME. Hmmmm, lets analyze that.

***/u/me Is that where you make an ***/ (out of) U/ (and) ME?
Wink

Jim Laughing


go Jim Wink

ok, so I loaded 1.4.2.01 and RM works fine. Cisco's cluster manager does not work now Crying or Very sad

Oh well, one more thing to fix.
Back to top
View user's profile Send private message
jamesgammel
Exile Island Resident


Joined: 03 Aug 2003
Posts: 394
Location: Gillette, Wyoming

PostPosted: Sun Jan 04, 2004 8:09 pm    Post subject: Reply with quote

Bummer. Did 1.4.1 over-write 1.3.1? If NOT, would this work?:

Create a new folder: Put 1.3.1 AND cisco in it. Create another folder (JP-1?) With 1.4.1, IR, KM and RM in it. Hopefully windows will look within the same folder first before searching outside the folder for a Java program to work for each. dumb idea?

Jim
Back to top
View user's profile Send private message Send e-mail Yahoo Messenger
Mark Pierson
Expert


Joined: 03 Aug 2003
Posts: 3009
Location: Connecticut, USA

PostPosted: Sun Jan 04, 2004 8:17 pm    Post subject: Reply with quote

jamesgammel wrote:
dumb idea?

Considering that Java integrates itself into the OS, it's not possible to have more than one version installed at any given time. Remember, Microsoft and Sun do NOT like to play in the same sandbox. Wink


TimH wrote:
Cisco's cluster manager does not work now
This is just a SWAG on my part, but what if you try re-installing the cluster manager?
_________________
Mark
Back to top
View user's profile Send private message Send e-mail Visit poster's website
jamesgammel
Exile Island Resident


Joined: 03 Aug 2003
Posts: 394
Location: Gillette, Wyoming

PostPosted: Sun Jan 04, 2004 8:26 pm    Post subject: Reply with quote

Gee whizz, and here I thought Microsoft plays in a litter-box. Whenever I open IE, I'd swear I can smell cat urine close by. Wink

Jim
Back to top
View user's profile Send private message Send e-mail Yahoo Messenger
Mark Pierson
Expert


Joined: 03 Aug 2003
Posts: 3009
Location: Connecticut, USA

PostPosted: Sun Jan 04, 2004 8:34 pm    Post subject: Reply with quote

That must be coming from those "Montana Blondes"! Wink
_________________
Mark
Back to top
View user's profile Send private message Send e-mail Visit poster's website
Display posts from previous:   
Post new topic   Reply to topic       JP1 Remotes Forum Index -> JP1 - Software All times are GMT - 5 Hours
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


 

Powered by phpBB © 2001, 2005 phpBB Group
Get Smart! the band's official homepage Rockabilly Central